org.apache.axiom.om

## Interface OMInformationItem

- All Known Subinterfaces:
    OMAttribute, OMAttributeEx, OMComment, OMContainer, OMContainerEx, OMDocType, OMDocument, OMElement, OMElementEx, OMEntityReference, OMNamedInformationItem, OMNode, OMNodeEx, OMProcessingInstruction, OMSerializable, OMSourcedElement, OMText, SOAPBody, SOAPEnvelope, SOAPFault, SOAPFaultClassifier, SOAPFaultCode, SOAPFaultDetail, SOAPFaultNode, SOAPFaultReason, SOAPFaultRole, SOAPFaultSubCode, SOAPFaultText, SOAPFaultValue, SOAPHeader, SOAPHeaderBlock, SOAPMessage

      public interface OMInformationItem

  Represents an information item in an XML document. This is the super-interface for all information items known by Axiom.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMInformationItem` | `clone(OMCloneOptions options)` Clone this information item.
    `OMFactory` | `getOMFactory()` Get the `OMFactory` corresponding to the type of this information item.

- - ### Method Detail

    - #### getOMFactory

          OMFactory getOMFactory()

      Get the `OMFactory` corresponding to the type of this information item. For information items created using one of the methods defined by `OMFactory`, this is the instance returned by `OMMetaFactory.getOMFactory()` (for the `OMMetaFactory` corresponding to the implementation of the Axiom API this information item belongs to). For information items created by one of the methods defined by `SOAPFactory`, this is the `SOAPFactory` instance for the corresponding SOAP version.

      This means that the returned factory will be a `SOAPFactory` only if the method is called on a `SOAPMessage` or an `OMElement` that implements one of the SOAP specific extension interfaces.

      Returns:
        the `OMFactory` corresponding to this information item

    - #### clone

          OMInformationItem clone(OMCloneOptions options)

      Clone this information item. If the information item is a container, then its descendants will be cloned recursively. Note that in this case, this method will traverse the descendants and create clones immediately. It will also preserve the original nodes. This means that after the execution of this method, both the returned clone and the original container will be completely built.
      Parameters:
        `options` - the options to use when cloning this element and its descendants; for object models with domain specific extensions (such as SOAP), this may be a subclass of `OMCloneOptions`
      Returns:
        the cloned element

Copyright © The Apache Software Foundation. All Rights Reserved.